package com.ssj.dao.weixin.library.dao;

import com.ssj.bean.weixin.libmy.domain.LibReadVip;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;


public interface IBookDetailQueryDao {

	Map<String, Object> searchBookInfo(String id);

	List<Map<String, Object>> findBookList(String userId,String vipId);

	List<Map<String, Object>> backBookList(String id, String userId);

	List<Map<String, Object>> getOrderList(String id, String userId);

	Map<String, Object> getOrderDetail(String detailIds, String userId);

	List<Map<String, Object>> jsBookList(String id, String userId, LibReadVip vip);

	List<Map<String, Object>> getManagerList(String bookId);

	List<Map<String, Object>> libManageList(String id);

	Map<String, Object> getLibBookCounts(String libId, String stat);

	List<Map<String, Object>> getBookInfoList(String libId);

	List<Map<String, Object>> getBookDriftList(String id, String userId);

	Map<String, Object> getDirftDetail(String oldUserId, String detailId, String userId);

	List<Map<String, Object>> getPlList(String infoId);

	Map<String, Object> getBookInfo(String id);

	List<Map<String, Object>> findIsRead(String id, String userId);

	List<Map<String, Object>> sendBookOverMsg();

	List<Map<String, Object>> getVipInfo();

	List<Map<String, Object>> getDetailQrList(String libId);

	List<Map<String, Object>> findServiceList(String userId,String vipId);

	Map<String, Object> findVipServiceByVip(String vipid);

	List<Map<String, Object>> getLIbBkTagDetail(String libId);

	Page<Map<String, Object>> libBookList(Map<String, Object> params, Pageable pageable);

	Map<String, Object> findMyMap(String libId, String type);

	Page<Map<String, Object>> BookWeekList(Map<String, Object> params, Pageable pageable);

	List<Map<String, Object>> getUserBookDetail(String vipId, String rq,String libId,String type);

	List<Map<String, Object>> getDateBorrowList(String libId, String sdate,String type);

	List<Map<String, Object>> adminCallBack(Map<String, Object> params);

	Map<String, Object> borrowInfoWeek(String vipId, String userId,String stat);

	Map<String, Object> getRankCheck(LibReadVip vip, String userId, String libId);

	Map<String, Object> getLibRank(String libId);

	List<Map<String, Object>> getOrderUserList(String detailIds);

	List<Map<String, Object>> findBorrowList(String infoId);
	public List<Map<String, Object>> getByLibIdList(String libId);
	public List<Map<String, Object>> haveToBorrow(String vipId,String libId);

	List<Map<String, Object>> findBorrowedList(List<String> bookDetailsId);
	
	public Page<Map<String, Object>> getbooksList(Map<String, Object> params, Pageable pageable);
	public Page<Map<String, Object>> getGoodBooksToRead(Map<String, Object> params, Pageable pageable);
	public Page<Map<String, Object>> getBooksAndLibIdAndchildTheme(Map<String, Object> params,Pageable pageable);
	public Page<Map<String, Object>> getCallOutOrInList(String libId,int type,Pageable pageable);
}
